# Ds\Sequence::unshift

(PECL ds >= 1.0.0)

Ds\Sequence::unshift — Adds values to the front of the sequence

### Descripción

abstract public Ds\Sequence::unshift(mixed `$values` = ?): void

Adds values to the front of the sequence, moving all the current values forward to make room for the new values.

### Parámetros

`values`

  The values to add to the front of the sequence.

  > Nota:

  > Multiple values will be added in the same order that they are passed.

### Valores devueltos

No devuelve ningún valor.

### Ejemplos

Ejemplo #1 Ds\Sequence::unshift() example

`<?php
$sequence = new \Ds\Vector([1, 2, 3]);
$sequence->unshift("a");
$sequence->unshift("b", "c");
print_r($sequence);
?>`

El resultado del ejemplo sería algo similar a:

    Ds\Vector Object
    (
        [0] => b
        [1] => c
        [2] => a
        [3] => 1
        [4] => 2
        [5] => 3
    )